;This is the finished product from the Nes programming doc

        .inesprg    1
        .ineschr    1
        .inesmir    1
        .inesmap    0

	.org $8000
	.bank 0

Start:


	lda #%00001000     	;this sets up the PPU
	sta $2000          
	lda #%00011110 
	sta $2001



        lda #$3F        ;set ppu to start of palette
        sta $2006       
        lda #$00        
        sta $2006 
	ldx #$00

loadpal:

	lda titlepal, x  ;loads a 32 byte palette
	sta $2007
	inx
	cpx #$21      ;gotta be one extra b/c of inx
	bne loadpal



vwait:	
	lda $2002    ;wait
	bpl vwait

        lda #$20        ;set ppu to start of VRAM
        sta $2006       
        lda #$20     
        sta $2006 



	lda #$48	;write pattern table tile numbers to the name table
	sta $2007
	lda #$65
	sta $2007
	lda #$6C
	sta $2007
	lda #$6C
	sta $2007
	lda #$6F
	sta $2007

sprite:
	ldx #$00	;set $2004 to the start of SPR-RAM
	stx $2003
	stx $2003

        lda #$7F	;y-1
        sta $2004
        lda #$00        ;sprite pattern number
        sta $2004
        lda #%00000001       ;color bit
        sta $2004
        lda #$08	;x
        sta $2004

loopkey:
	lda #$01	;strobe the joypad before read
	sta $4016
	lda #$00
	sta $4016

	lda $4016
	lda $4016
	lda $4016
	lda $4016	;this read gives you the status of the start button
	cmp #$01
	bne loopkey	


Loop:
	jmp Loop

titlepal: .incbin "test.pal"

    	.bank 1
	.org	$FFFA
	.dw		0 ;(NMI_Routine)
	.dw		Start ;(Reset_Routine)
	.dw		0 ;(IRQ_Routine)

    .bank 2
    .org    $0000
    .incbin "test.chr"  ;gotta be 8192 bytes long
